#include<stdio.h>
#include<stdlib.h>
main()
{
	long long int t, i, j, c, m, n;
	scanf("%lld",&t);
	
	for(c=0;c<t;c++)
	{
		scanf("%lld%lld",&n,&m);
	long long int l[n*sizeof(long long int)][m*sizeof(long long int)];
	long long int u[n*sizeof(long long int)][m*sizeof(long long int)];
		for(i=0;i<n;i++)
		for(j=0;j<m;j++)
		scanf("%lld",&l[i][j]);
		for(i=0;i<n;i++)
		for(j=0;j<m;j++)
		scanf("%lld",&u[i][j]);
	}
	printf("NE");
}